<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 9</title>
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.min.css">
</head>
<body>
	<div id="post-102">
		<p>I like Confirm modals.</p>
		<button data-deletepost="post-102">Delete post</button>
	</div>
	<div id="post-103">
		<p>That's way too cool!</p>
		<button data-deletepost="post-103">Delete post</button>
	</div>

	<script type="text/javascript">
		
		var deleteBtn = document.querySelectorAll("[data-deletepost]");
		var post;
		function deleteP(valueD) {
		  valueD.preventDefault();
		  if( confirm("¿Deseas eliminar este post?") ) {
		    post = document.getElementById(this.dataset.deletepost);
		    post.parentNode.removeChild(post);
		  } }

		deleteBtn.forEach.call(deleteBtn, function(btn) {
	    btn.addEventListener("click", deleteP);});


	</script>
</body>
</html>